Package com.sas.lsaf.content.repository

## Class VersionLimits

- java.lang.Object
- - com.sas.lsaf.content.repository.VersionLimits

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class VersionLimits
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the version retention limits for versioned files. If this is set on a container, the value controls the default version limits for new versioned files that are added to the container. The default limit is null, which means that there is no limit to the number of versions. If version limits are applied, the value must be in the range of 1 to 10. If a file has 10 versions, and a new version is checked in, the oldest version is deleted to allow the addition of the latest version.
  Since:
    2.2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionLimits​(java.lang.Integer majorVersionLimit, java.lang.Integer minorVersionLimit)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Integer` | `getMajorVersionLimit()` | Gets the limit of the major versions that are retained for a versioned file.
    `java.lang.Integer` | `getMinorVersionLimit()` | Gets the limit of the minor versions retained for a versioned file.
    `int` | `hashCode()` |
    `void` | `setMajorVersionLimit​(java.lang.Integer majorVersionLimit)` | Sets the limit of the minor versions that re retained for a versioned file.
    `void` | `setMinorVersionLimit​(java.lang.Integer minorVersionLimit)` | Sets the limit of the minor versions that are retained for a versioned file.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionLimits

          public VersionLimits​(java.lang.Integer majorVersionLimit,
                               java.lang.Integer minorVersionLimit)

      Constructor.
      Parameters:
        `majorVersionLimit` - The limit of the major versions that are retained for a versioned file.
        `minorVersionLimit` - The limit of the minor versions that are retained for a versioned file.

  - ### Method Detail

    - #### getMajorVersionLimit

          public java.lang.Integer getMajorVersionLimit()

      Gets the limit of the major versions that are retained for a versioned file. The default limit is null, which means that there is no limit. If version limits are applied, the value must be in the range of 1 to 10.
      Returns:
        The limit of the major versions that are retained for a versioned file.

    - #### setMajorVersionLimit

          public void setMajorVersionLimit​(java.lang.Integer majorVersionLimit)

      Sets the limit of the minor versions that re retained for a versioned file. The default limit is null, which means that there is no limit. If version limits are applied, the value must be in the range of 1 to 10.
      Parameters:
        `majorVersionLimit` - The limit of the major versions that are retained for a versioned file.

    - #### getMinorVersionLimit

          public java.lang.Integer getMinorVersionLimit()

      Gets the limit of the minor versions retained for a versioned file. The default limit is null, which means that there is no limit. If version limits are applied, the value must be in the range of 1 to 10.
      Returns:
        The limit of the minor versions that are retained for a versioned file.

    - #### setMinorVersionLimit

          public void setMinorVersionLimit​(java.lang.Integer minorVersionLimit)

      Sets the limit of the minor versions that are retained for a versioned file. The default limit is null, which means that there is no limit. If version limits are applied, the value must be in the range of 1 to 10.
      Parameters:
        `minorVersionLimit` - The limit of the minor versions that are retained for a versioned file.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`